## org.apache.lucene.queryParser.core.nodes
Class FieldQueryNode

    java.lang.Object
      org.apache.lucene.queryParser.core.nodes.QueryNodeImpl
          org.apache.lucene.queryParser.core.nodes.FieldQueryNode

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, FieldableNode, QueryNode, TextableQueryNode

Direct Known Subclasses:
  FuzzyQueryNode, ParametricQueryNode, QuotedFieldQueryNode, WildcardQueryNode

    public class FieldQueryNode

extends QueryNodeImpl
implements TextableQueryNode, FieldableNode

A `FieldQueryNode` represents a element that contains field/text tuple

See Also:
  Serialized Form

Field Summary
`protected int` `begin` The term's begin position.
`protected int` `end` The term's end position.
`protected java.lang.CharSequence` `field` The term's field
`protected int` `positionIncrement` The term's position increment.
`protected java.lang.CharSequence` `text` The term's text.

Fields inherited from class org.apache.lucene.queryParser.core.nodes.QueryNodeImpl
`PLAINTEXT_FIELD_NAME, toQueryStringIgnoreFields`

Constructor Summary
`FieldQueryNode(java.lang.CharSequence field, java.lang.CharSequence text, int begin, int end)`

Method Summary
`FieldQueryNode` `cloneTree()` Recursive clone the QueryNode tree The tags are not copied to the new tree when you call the cloneTree() method
`int` `getBegin()`
`int` `getEnd()`
`java.lang.CharSequence` `getField()` Returns the field associated to the node and every node under it.
`java.lang.String` `getFieldAsString()` returns null if the field was not specified in the query string
`int` `getPositionIncrement()`
`protected java.lang.CharSequence` `getTermEscaped(EscapeQuerySyntax escaper)`
`protected java.lang.CharSequence` `getTermEscapeQuoted(EscapeQuerySyntax escaper)`
`java.lang.CharSequence` `getText()` Returns the term.
`java.lang.String` `getTextAsString()`
`void` `setBegin(int begin)`
`void` `setEnd(int end)`
`void` `setField(java.lang.CharSequence field)` Associates the node to a field.
`void` `setPositionIncrement(int pi)`
`void` `setText(java.lang.CharSequence text)`
`java.lang.CharSequence` `toQueryString(EscapeQuerySyntax escaper)` convert to a query string understood by the query parser
`java.lang.String` `toString()` Every implementation of this class should return pseudo xml like this: For FieldQueryNode:

Methods inherited from class org.apache.lucene.queryParser.core.nodes.QueryNodeImpl
`add, add, allocate, clone, containsTag, getChildren, getParent, getTag, getTags, isDefaultField, isLeaf, isRoot, set, setLeaf, setTag, unsetTag`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.lucene.queryParser.core.nodes.QueryNode
`add, add, containsTag, getChildren, getParent, getTag, getTags, isLeaf, set, setTag, unsetTag`

Field Detail

### field

    protected java.lang.CharSequence field

  The term's field

### text

    protected java.lang.CharSequence text

  The term's text.

### begin

    protected int begin

  The term's begin position.

### end

    protected int end

  The term's end position.

### positionIncrement

    protected int positionIncrement

  The term's position increment.

Constructor Detail

### FieldQueryNode

    public FieldQueryNode(java.lang.CharSequence field,
                          java.lang.CharSequence text,
                          int begin,
                          int end)

Parameters:
  `field` - - field name
  `text` - - value
  `begin` - - position in the query string
  `end` - - position in the query string

Method Detail

### getTermEscaped

    protected java.lang.CharSequence getTermEscaped(EscapeQuerySyntax escaper)

### getTermEscapeQuoted

    protected java.lang.CharSequence getTermEscapeQuoted(EscapeQuerySyntax escaper)

### toQueryString

    public java.lang.CharSequence toQueryString(EscapeQuerySyntax escaper)

  Description copied from interface: `QueryNode`
  convert to a query string understood by the query parser

  Specified by:
    `toQueryString` in interface `QueryNode`

### toString

    public java.lang.String toString()

  Description copied from class: `QueryNodeImpl`
  Every implementation of this class should return pseudo xml like this: For FieldQueryNode:

  Specified by:
    `toString` in interface `QueryNode`
  Overrides:
    `toString` in class `QueryNodeImpl`
  See Also:
    `QueryNode.toString()`

### getTextAsString

    public java.lang.String getTextAsString()

  Returns:
    the term

### getFieldAsString

    public java.lang.String getFieldAsString()

  returns null if the field was not specified in the query string

  Returns:
    the field

### getBegin

    public int getBegin()

### setBegin

    public void setBegin(int begin)

### getEnd

    public int getEnd()

### setEnd

    public void setEnd(int end)

### getField

    public java.lang.CharSequence getField()

  Description copied from interface: `FieldableNode`
  Returns the field associated to the node and every node under it.

  Specified by:
    `getField` in interface `FieldableNode`
  Returns:
    the field name

### setField

    public void setField(java.lang.CharSequence field)

  Description copied from interface: `FieldableNode`
  Associates the node to a field.

  Specified by:
    `setField` in interface `FieldableNode`
  Parameters:
    `field` - the field name

### getPositionIncrement

    public int getPositionIncrement()

### setPositionIncrement

    public void setPositionIncrement(int pi)

### getText

    public java.lang.CharSequence getText()

  Returns the term.

  Specified by:
    `getText` in interface `TextableQueryNode`
  Returns:
    The "original" form of the term.

### setText

    public void setText(java.lang.CharSequence text)

  Specified by:
    `setText` in interface `TextableQueryNode`
  Parameters:
    `text` - the text to set

### cloneTree

    public FieldQueryNode cloneTree()
                             throws java.lang.CloneNotSupportedException

  Description copied from interface: `QueryNode`
  Recursive clone the QueryNode tree The tags are not copied to the new tree when you call the cloneTree() method

  Specified by:
    `cloneTree` in interface `QueryNode`
  Overrides:
    `cloneTree` in class `QueryNodeImpl`
  Returns:
    the cloned tree
  Throws:
    `java.lang.CloneNotSupportedException`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.